import type { JSX } from '../../stencil-public-runtime';
import type { AccessKeyPropType, AriaDescriptionPropType, ButtonTypePropType, ButtonVariantPropType, CustomClassPropType, FocusableElement, IconsPropType, IdPropType, InlinePropType, KolFocusOptions, LabelWithExpertSlotPropType, PopoverAlignPropType, ShortKeyPropType, StencilUnknown, SyncValueBySelectorPropType, TooltipAlignPropType } from '../../schema';
import type { PopoverButtonProps, PopoverButtonStates } from '../../schema/components/popover-button';
export declare class KolPopoverButtonWc implements PopoverButtonProps, FocusableElement {
    protected readonly ctaRef: import("../../utils/element-interaction").CtaRef<HTMLKolButtonWcElement>;
    private readonly popoverCtrl;
    private popoverElement?;
    private readonly popoverId;
    private readonly setPopoverElementRef;
    private readonly setButtonElementRef;
    private on;
    state: PopoverButtonStates;
    private popoverOpen;
    hidePopover(): Promise<void>;
    showPopover(): Promise<void>;
    focus(options?: KolFocusOptions): Promise<void>;
    click(): Promise<void>;
    private handleToggle;
    render(): JSX.Element;
    _accessKey?: AccessKeyPropType;
    _ariaDescription?: AriaDescriptionPropType;
    _customClass?: CustomClassPropType;
    _disabled?: boolean;
    _hideLabel?: boolean;
    _icons?: IconsPropType;
    _id?: IdPropType;
    _inline?: InlinePropType;
    _label: LabelWithExpertSlotPropType;
    _name?: string;
    _popoverAlign?: PopoverAlignPropType;
    _shortKey?: ShortKeyPropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _type?: ButtonTypePropType;
    _value?: StencilUnknown;
    _variant?: ButtonVariantPropType;
    validateInline(value?: InlinePropType): void;
    validatePopoverAlign(value?: PopoverAlignPropType): void;
    componentWillLoad(): void;
    componentDidRender(): void;
    disconnectedCallback(): void;
}
